---
title: "Astra: авторизация в PostgreSQL через PAM"
category: Linux
tags: Linux, Astra, postgresql, базы данных,
summary:
...

Для обеспечения авторизации пользователей через PAM системному
пользователю `postgres`, с правами которого выполняется сервер
базы данных, необходимо выдать права на чтение информации из базы
данных пользователей и сведений о мандатных метках и привилегиях:

```sh
usermod -a -G shadow postgres
setfacl -d -m u:postgres:r /etc/parsec/macdb
setfacl -R -m u:postgres:r /etc/parsec/macdb
setfacl -m u:postgres:rx /etc/parsec/macdb
```

Для обеспечения возможности авторизации пользователя `user`,
зарегистрированного в системе PAM, нужно выполнить команду

```sh
usermac -c 0:0 -l 0:0 user
```

